Page MenuHomePhabricator

Deploy FileExporter and FileImporter to de-,fa- and ar-wiki as a beta feature
Closed, ResolvedPublic3 Story Points

Description

Motivation
Importing files to Commons is a wish from the Technical Wishlist of de-wiki. The first version is ready to be tested, and hence it is time for the small beta phase! Per community requests we will also deploy the FileExporter extension to fa- and ar-wiki. The FileImporter will be deployed on Commons, but is only accessible through the FileExporter.

Task

  • Create a patch to enable the FileExporter on de, fa and ar-wiki as a beta feature
  • Enable the FileImporter on Commons
  • Reserve a SWAT slot on June 25 2018
  • Support doing the deploy

Event Timeline

Lea_WMDE renamed this task from Deploy FileExporter and FileImporter to de-,fa- and ar-wiki to Deploy FileExporter and FileImporter to de-,fa- and ar-wiki as a beta feature.Jun 12 2018, 8:57 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 3.

Change 440860 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Add ar, de and fa wikipedia to FileImporter interwiki config

https://gerrit.wikimedia.org/r/440860

Gilles removed a subscriber: Gilles.Jun 18 2018, 1:39 PM

Patches that need to be deployed/backported before actually activating this:

Hardcoded Interwiki handling config patch:
https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/440860/
Hardcoded Interwiki handling extension patch: ( needs backport )
https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/FileImporter/+/440857/
Enable CommonsHelperConfig for production:
https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/440864/

Blocked a block for this on Monday after the midday SWAT. @Addshore was so kind to provide his services again for the deployment(s) :-)
https://wikitech.wikimedia.org/w/index.php?title=Deployments&type=revision&diff=1795107&oldid=1794890

Change 441013 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable FileImporter on Wikimedia Commons

https://gerrit.wikimedia.org/r/441013

Change 441014 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable FileExpoter on ar-, de- and fa-wiki

https://gerrit.wikimedia.org/r/441014

Change 440860 merged by jenkins-bot:
[operations/mediawiki-config@master] Add ar, de and fa wikipedia to FileImporter interwiki config

https://gerrit.wikimedia.org/r/440860

Mentioned in SAL (#wikimedia-operations) [2018-06-25T14:19:15Z] <addshore@deploy1001> Synchronized wmf-config/CommonSettings.php: [[gerrit:440860|Add ar, de and fa wikipedia to FileImporter interwiki config]] T196969 T196976 (duration: 00m 56s)

Change 441013 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileImporter on Wikimedia Commons

https://gerrit.wikimedia.org/r/441013

Mentioned in SAL (#wikimedia-operations) [2018-06-25T14:57:02Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:441013|Enable FileImporter on Wikimedia Commons]] T196969 (duration: 00m 56s)

Change 441014 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable FileExpoter on ar-, de- and fa-wiki

https://gerrit.wikimedia.org/r/441014

Mentioned in SAL (#wikimedia-operations) [2018-06-25T15:03:41Z] <addshore@deploy1001> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:441014|Enable FileExpoter on ar-, de- and fa-wiki]] T196969 T197066 (duration: 00m 57s)

Done see the wikis ;-)

First image transferred as part of testing this on the debug servers before complete rollout:

https://commons.wikimedia.org/wiki/File:Wander_Bertoni_Prora.jpg

I manually translated the templates and fields here .... the magic will be available in the near future :-)

Vvjjkkii renamed this task from Deploy FileExporter and FileImporter to de-,fa- and ar-wiki as a beta feature to y7aaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from y7aaaaaaaa to Deploy FileExporter and FileImporter to de-,fa- and ar-wiki as a beta feature.Jul 2 2018, 9:12 AM
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 3.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 1:00 PM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-06-19 board.